yi-mode-javascript-0.19.1: Yi editor javascript mode

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Extensions

- OverloadedStrings
- DeriveDataTypeable
- GeneralizedNewtypeDeriving

Yi.Mode.JavaScript

Description

Module defining the `Mode` for JavaScript. `javaScriptMode` uses the parser defined at Yi.Syntax.JavaScript.

Synopsis

- javaScriptMode :: Mode (Tree TT)
- hooks :: Mode (Tree TT) -> Mode (Tree TT)

# Documentation

javaScriptMode :: Mode (Tree TT) Source #

hooks :: Mode (Tree TT) -> Mode (Tree TT) Source #

Hooks for the JavaScript mode.